### Method

# Gio SocketClient set_timeout

since: 2.26

#### Declaration

    void
    g_socket_client_set_timeout (
      GSocketClient* client,
      guint timeout
    )

#### Description

Sets the I/O timeout for sockets created by `client`. `timeout` is a time in seconds, or 0 for no timeout (the default).

The timeout value affects the initial connection attempt as well, so setting this may cause calls to g_socket_client_connect(), etc, to fail with `G_IO_ERROR_TIMED_OUT`.

Available since: 2.26

Sets property | `Gio.SocketClient:timeout`

#### Parameters

`timeout`

  Type: `guint`

  The timeout.